org.apache.felix.gogo.shell

## Class Procedural

- java.lang.Object
- - org.apache.felix.gogo.shell.Procedural

    public class Procedural
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Procedural()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `_if(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Function[] fns)`
`void` `_throw(org.apache.felix.service.command.CommandSession session)`
`void` `_throw(Exception e)`
`void` `_throw(String message)`
`Object` `_try(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Function func)`
`Object` `_try(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Function func, org.apache.felix.service.command.Function error)`
`void` `_while(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Function condition, org.apache.felix.service.command.Function ifTrue)`
`List<Object>` `each(org.apache.felix.service.command.CommandSession session, Collection<Object> list, org.apache.felix.service.command.Function closure)`
`boolean` `not(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Function condition)`
`void` `until(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Function condition, org.apache.felix.service.command.Function ifTrue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Procedural

    public Procedural()

### Method Detail

#### each

    public List<Object> each(org.apache.felix.service.command.CommandSession session,
                             Collection<Object> list,
                             org.apache.felix.service.command.Function closure)
                      throws Exception

Throws:
  `Exception`

#### _if

    public Object _if(org.apache.felix.service.command.CommandSession session,
                      org.apache.felix.service.command.Function[] fns)
               throws Exception

Throws:
  `Exception`

#### not

    public boolean not(org.apache.felix.service.command.CommandSession session,
                       org.apache.felix.service.command.Function condition)
                throws Exception

Throws:
  `Exception`

#### _throw

    public void _throw(String message)

#### _throw

    public void _throw(Exception e)
                throws Exception

Throws:
  `Exception`

#### _throw

    public void _throw(org.apache.felix.service.command.CommandSession session)
                throws Throwable

Throws:
  `Throwable`

#### _try

    public Object _try(org.apache.felix.service.command.CommandSession session,
                       org.apache.felix.service.command.Function func)

#### _try

    public Object _try(org.apache.felix.service.command.CommandSession session,
                       org.apache.felix.service.command.Function func,
                       org.apache.felix.service.command.Function error)
                throws Exception

Throws:
  `Exception`

#### _while

    public void _while(org.apache.felix.service.command.CommandSession session,
                       org.apache.felix.service.command.Function condition,
                       org.apache.felix.service.command.Function ifTrue)
                throws Exception

Throws:
  `Exception`

#### until

    public void until(org.apache.felix.service.command.CommandSession session,
                      org.apache.felix.service.command.Function condition,
                      org.apache.felix.service.command.Function ifTrue)
               throws Exception

Throws:
  `Exception`